<div class="top">
    <link rel="stylesheet" href='https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css'>
    <link href="https://unpkg.com/@angular/material/prebuilt-themes/indigo-pink.css" rel="stylesheet">
    <div class="row">
        <div class="col-xl-12">
            <!-- Profile widget -->
            <div class="bg-white shadow rounded overflow-hidden">
                <div class="px-4 pt-0 pb-4 cover">
                    <div class="media align-items-end profile-head">
                        <div class="profile mr-3"><img src={{findPath(user?.image)}} alt="..." width="130"
                                class="rounded mb-2 img-thumbnail" id="picture">
                            <a class="btn btn-outline-dark btn-sm btn-block" *ngIf="buttonType === 'Edit profile'"
                                (click)="editProfile()">{{buttonType}}</a>
                            <a class="btn btn-outline-dark btn-sm btn-block" *ngIf="buttonType === 'Followed'"
                                (click)="unfollow()">Unfollow</a>
                            <a class="btn btn-outline-dark btn-sm btn-block" *ngIf="buttonType === 'Follow'"
                                (click)="follow()">Follow</a>
                        </div>
                        <div class="media-body mb-5 text-white">
                            <h4 class="mt-0 mb-0">{{user?.name + " " + user?.surname}}</h4>
                            <p class="small mb-4"> <i class="fas fa-map-marker-alt mr-2" *ngIf="user?.place"></i>{{user?.place}}</p>
                        </div>
                    </div>
                </div>
                <div class="bg-light p-4 d-flex justify-content-end text-center">
                    <ul class="list-inline mb-0">
                        <li class="list-inline-item">
                            <h5 class="font-weight-bold mb-0 d-block">{{followersCounter()}}</h5><small
                                class="text-muted btn btn-outline-dark btn-sm btn-block"
                                (click)="openFollowersDialog()"> <i class="fas fa-user mr-0"></i> Followers</small>
                        </li>
                        <li class="list-inline-item">
                            <h5 class="font-weight-bold mb-0 d-block">{{followingCounter()}}</h5><small
                                class="text-muted btn btn-outline-dark btn-sm btn-block"
                                (click)="openFollowingDialog()"> <i class="fas fa-user mr-0"></i> Following</small>
                        </li>
                    </ul>
                </div>
                <div class="px-4 py-3">
                    <h5 class="mb-0">About</h5>
                    <div class="p-4 rounded shadow-sm bg-light">
                        <p class="font-italic mb-0">Age: {{user?.age}}</p>
                        <p class="font-italic mb-0" *ngIf="user?.place">Lives in {{user?.place}}</p>
                        <p class="font-italic mb-0">Email: {{user?.email}}</p>
                    </div>
                </div>
                <app-add-story></app-add-story>
                <div class="py-4 px-4" *ngIf="content === 'stories'">
                    <div class="d-flex align-items-center justify-content-between mb-3">
                        <h5 class="mb-0">Stories ({{storiesCounter()}})</h5>
                        <button class="btn btn-link text-muted"(click)="changeContent()">Show reviews</button>
                    </div>
                    <cdk-virtual-scroll-viewport itemSize="100" class="vs">
                        <div class="row" *cdkVirtualFor="let story of stories; let n=index;">

                            <div class="col s12 m4">
                                <div class="card prica">
                                    <div class="card-content center-align">
                                        <h3>{{story.title}}</h3>
                                        <p>{{story.body}}</p>
                                    </div>
                                    <div class="card-action ">
                                        <h3>Likes: <span style="color:blue; font-size:120%">{{howManyLikes(story)}}</span></h3>

                                        <a class="btn-floating waves-effect waves-light red darken-3 right"
                                            (click)="dislikeStory(story._id)" *ngIf="storyIsLiked(story)"><i
                                                class="fas fa-thumbs-down"></i></a>
                                        <a class="btn-floating waves-effect waves-light green darken-3 right"
                                            (click)="likeStory(story._id)" *ngIf="storyIsLiked(story) === false"><i
                                                class="fas fa-thumbs-up"></i></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </cdk-virtual-scroll-viewport>
                </div>
                <div class="py-4 px-4" *ngIf="content === 'reviews'">
                    <div class="d-flex align-items-center justify-content-between mb-3">
                        <h5 class="mb-0">Reviews ({{reviewsCounter()}})</h5><button class="btn btn-link text-muted"
                            (click)="changeContent()">Show stories</button>
                    </div>
                    <cdk-virtual-scroll-viewport itemSize="100" class="vs">
                        <div class="row" *cdkVirtualFor="let review of reviews; let n=index;">
                            <div class="col s12 m4">
                                <div class="card">
                                    <div class="card-content center-align">
                                        
                                        <a style="font-size:20px" [routerLink] = "['/book',review.book._id]">Book title: {{review.book.title}}</a>
                                        <h4>Review rating: {{review.reviews.rating}}</h4>
                                        <h3>Review title: {{review.reviews.title}}</h3>
                                        <p>{{review.reviews.comment}}</p>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </cdk-virtual-scroll-viewport>
                </div>
            </div>
        </div>
    </div>
</div>